# ccconverter

Converts Closed Captions between different formats

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──ccconverter

## Factory details

Authors: – Sebastian Dröge <sebastian@centricular.com></sebastian@centricular.com>

Classification: – `Filter/ClosedCaption`

Rank – none

Plugin – closedcaption

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    closedcaption/x-cea-708:
             format: cdp
    closedcaption/x-cea-708:
             format: cc_data
    closedcaption/x-cea-608:
             format: s334-1a
    closedcaption/x-cea-608:
             format: raw
              field: { (int)0, (int)1 }

Presence – always

Direction – sink

Object type – GstPad

### `src`

    closedcaption/x-cea-708:
             format: cdp
    closedcaption/x-cea-708:
             format: cc_data
    closedcaption/x-cea-608:
             format: s334-1a
    closedcaption/x-cea-608:
             format: raw
              field: { (int)0, (int)1 }

Presence – always

Direction – src

Object type – GstPad

## Properties

### cdp-mode

    “cdp-mode” Ccconverter-cdpmode *

Only insert the selection sections into CEA 708 CDP packets.

Various software does not handle any other information than CC data contained in CDP packets and might fail parsing the packets otherwise.

Flags : Read / Write

Default value : cc-svc-info+cc-data+time-code

Since : 1.20

## Named constants

### Ccconverter-cdpmode

#### Members

`time-code` (0x00000001) – Store time code information in CDP packets
`cc-data` (0x00000002) – Store CC data in CDP packets
`cc-svc-info` (0x00000004) – Store CC service information in CDP packets

Since : 1.20

The results of the search are